epochtalk-http-api
Epochtalk HTTP API
Last updated 6 years ago by wangbus .
ISC · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install epochtalk-http-api 
SYNC missed versions from official npm registry.

Epochtalk HTTP API Circle CI

Epochtalk Hapi 8.x based API

Usage

The HTTP API module is meant to be used as a plugin for Hapi under the Epochtalk system. Check out epochtalk on Github. Note: Requires Hapi 8.x

// as a plugin, use server.register

var server = new Hapi.Server();
// config with db example:
var config = {};
config.db = {
  "driver": "pg",
  "user": "jianshi",
  "password": "",
  "host": "localhost",
  "database": "epochtalk_dev"
};
var opts = {config: config}; // where db is the database config
server.register({register: require('epochtalk-http-api'), options: opts}, function(err) {
});

API Documentation

In development version, please go to http://localhost:8080/docs.

License

ISC Copyright (c) 2015, Slickage Studios LLC

Current Tags

  • 1.0.10                                ...           latest (6 years ago)

3 Versions

  • 1.0.10                                ...           6 years ago
  • 1.0.9                                ...           6 years ago
  • 1.0.7                                ...           6 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 0
Dependencies (23)
Dev Dependencies (2)
Dependents (2)

Copyright 2014 - 2017 © taobao.org |